import React from 'react';
import ReactDom from 'react-dom';

import { range } from 'd3'
//face components
import { Face } from './Face'

//face
const width = 160;
const height = 160;

const array = range(6*3);

const App = () => array.map(() => (
	<Face
    width={width}
    height={height}
    strokeWidth={5}
    eyeRadius={10 + (10 * Math.random())}
    eyeOffsetX={20  + (10 * Math.random())}
    eyeOffsetY={20 + (10 * Math.random())}
    mouthRadius={40 + (10 * Math.random())}
    mouthWidth={5 + (10 * Math.random())}/>
  ));

const rootElement = document.getElementById('root');
ReactDom.render(<App />, rootElement)
